DEUTSCH
ENGLISH
中文

Platform Support

一般来说,所有SDK包(除.NET外)都设计为独立于平台。 但是,您的购买仅包含一个等级 

1平台。当您订购SDK许可证时,您必须选择我们支持的平台之一并选择您的编译器版本。 

可根据要求提供其他平台。


平台支持

        一般来说,所有SDK包(除.NET外)都设计为独立于平台。 但是,您的购买仅包含一个等级 1平台。 当您订购SDK许可证时,您必须选择我们支持的平台之一并选择您的编译器版本。 可根据要求提供其他平台。 如果您在下面的列表中找不到您的平台,请要求采用单个平台层。

        SDK软件包包含所选平台的预编译二进制文件。 源码包另外包含SDK的完整源,包括所选平台的平台层源。只有源码版本的SDK,您可以为特定的平台配置重新编译它。 如果你想自己移植到新平台,你也需要源码版本。其他平台的平台层码源可以单独购买。

等级 1 平台: 主动支持的平台

        所有等级1平台在每个版本上都受到Unified Automation的积极支持和定期测试。只有等级1平台,二进制和评估版本可用。如果您购买SDK许可证,您必须挑选一个等级1平台。


平台

编译器

Microsoft Windows XPSP3,7SP1, 8SP1 (x86, x86-64)

MSVC 2010 SP1, MSVC 2012 SP4

Linux Debian7.7, CentOS7.0 (x86-64)

GCC 4.7.2, GCC 4.8.2

等级 2 平台: 支持平台(按要求提供)

        等级2层平台由Unified Automation支持,但未经过主动测试,不定期维护。 因此,发布的产品可能不能在这些平台上“开箱即用”,但所有问题将在客户报告后去解决。

        这些平台必须从源代码编译。 Unified Automation不提供二进制文件。

平台

编译器

Microsoft Windows Vista, 2k8R2, Win8, Win10 (x86,   x86-64bit)

MSVC 6, MSVC 2005 SP1, MSVC 2008, MSVC 2013 , MSVC 2015

Microsoft Windows CE 6.0 (x86, ARMV4I)

MSVC 2008 SP1

OpenSuse 42.2 (x86, x86-64)

GCC 4.8.5

Debian 8.5 Linux (x86, x86-64)

GCC 4.9.2

QNX 6.4.1 (x86, ARM, PPC)

GCC 4.3.3

vxWorks 6.9 (x86, ARM)

GCC 4.4.5

Cent OS Linux 7.3 (x86, x86-64)

GCC 4.8.5

Gentoo Linux (x86, x86-64)

GCC 4.9.3

        关于Linux:许多Linux发行版都可以在此处列出。 所有这些都可能使用不同的内核头文件,glibc和GCC的组合和版本。 Linux上没有二进制兼容性。 但是在桌面Linux(x86,x86-64)上,通常可以从源代码编译SDK,而无需任何更改或移植。 另外,其他架构(ARM,PPC)的GCC≥4.1.2(支持原子编译器内在函数)的交叉编译工作通常没有问题。

等级 3 平台: 已知工作(可请求)

        等级3平台已知可以工作,但没有正式支持或测试。 通常,SDK被移植到这样的平台曾经用于演示目的或代表个别客户移植。

        您可以订购商业支持端口或更新此平台的现有端口。

平台

编译器

Microsoft Windows XP/Vista (x86, x86-64)

MSVC 6, MSVC 2005 SP1

Microsoft Window CE 5 (x86, ARM9)

MS eMbedded Visual Studio C++ 4.0

Scientific Linux 6.2 (x86)

GCC 4.4.6

Sun Solaris 10 (x86, SPARC)

SunCC

Open Solaris 10 (x86)

GCC 4.x

Euros 3.20 (RTOS) (ARM9)

GCC 4.x

TenAsys INtime 3.1/4.0 (x86)

MSVC 2008 SP1

QNX Neutrino 6.4.x (x86)

GCC 4.3.3

On Time RTOS-32 5.27 (x86)

MSVC 2008 SP1

Windriver VxWorks 6.6 (x86)

GCC 4.1.2

Apple Mac OS X (x86)

XCode 4.3.2

Apple iOS 5.1   (ARM)

        ·  iPhone

        ·  iPad

 

XCode 4.3.2

Android 2.2.x,   2.3.x, 3.x (ARM)

        ·  Motorola   Milestone (I + II)

        ·  Samsung Galaxy S   + S3

        ·  Samsung Galaxy   Tab 10.1

 

GCC 4.4.3 (QtCreator/Necessitas 2.3.1)

Meego 1.2   Harmattan (ARM)

        ·  Nokia N9

 

GCC 4.4.1 (QtCreator 2.4.1)

 


联系我们 / CONTACT US

010-62740270

010-62740263

info@motrotech.com

北京市海淀区后屯南路26号,专家国际公馆570室

电话:010-62740270 传真:010-62740263 地址:北京市海淀区后屯南路26号,专家国际公馆570室 邮箱:info@motrotech.com

北京盟通科技有限公司版权所有 京ICP备13028502号 京公网安备11010802012227号